import type { UseCallback, UseOptions, UseResult } from './types.js';
export type * from './types.js';
export default function nodeVersionUse(versionExpression: string, command: string, args: string[]): Promise<UseResult[]>;
export default function nodeVersionUse(versionExpression: string, command: string, args: string[], options: UseOptions): Promise<UseResult[]>;
export default function nodeVersionUse(versionExpression: string, command: string, args: string[], callback: UseCallback): void;
export default function nodeVersionUse(versionExpression: string, command: string, args: string[], options: UseOptions, callback: UseCallback): void;
